# $Id: Makefile.inc,v 1.2 2006/10/15 17:10:33 securedog Exp $

MAKEOBJDIR?=	${.CURDIR}
PREFIX?=	/usr/local
BINDIR?=	${PREFIX}/bin
MANDIR?=	${PREFIX}/man/man
SHAREDIR?=	${PREFIX}/share
ETCDIR?=	${PREFIX}/etc

ID?=		id
BINOWN!=	${ID} -un
BINGRP!=	${ID} -gn
SHAREOWN=	${BINOWN}
SHAREGRP=	${BINGRP}

PORTSDIR?=	/usr/ports
PKGSRCDIR?=	/usr/pkgsrc
PKG_DBDIR?=	/var/db/pkg
MAKE?=		make

# prog.hack.mk
DEFINED_TYPES=	WITH_PORTS WITH_PKGSRC WITH_OPENBSD WITH_EXPERIMENTAL
REINPLACE_ARGS=	-e 's|/usr/local|${PREFIX}|g' \
		-e 's|/usr/ports|${PORTSDIR}|g' \
		-e 's|/usr/pkgsrc|${PKGSRCDIR}|g' \
		-e 's|/var/db/pkg|${PKG_DBDIR}|g' \
		-e 's|"make"|"${MAKE}"|g'

.if !defined(WITH_LITE)
WITH_EXPERIMENTAL=YES
.endif
.if !defined(WITH_PORTS) && !defined(WITH_PKGSRC) 
WITH_PORTS=YES
.elif defined(WITH_PORTS) && defined(WITH_PKGSRC) 
.error WITH_PORTS and WITH_PKGSRC can't both be set.
.endif
